Debian Bug report logs - #631556
xsane: Error (2117): Too few (0) args to 'm' operator

version graph

Package: evince; Maintainer for evince is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for evince is src:evince.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Fri, 24 Jun 2011 20:18:01 UTC

Severity: normal

Found in version evince/2.30.3-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#631556; Package xsane. (Fri, 24 Jun 2011 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Julien BLACHE <jblache@debian.org>. (Fri, 24 Jun 2011 20:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xsane: Error (2117): Too few (0) args to 'm' operator
Date: Fri, 24 Jun 2011 22:14:39 +0200
[Message part 1 (text/plain, inline)]
Package: xsane
Version: 0.997-2+b1
Severity: normal


Using xsane generating pdf produce corrupted pdf. See attached demo.pdf.

$ evince demo.pdf
Error (2117): Too few (0) args to 'm' operator
Error (2118): Illegal character <df> in hex string
Error (2119): Illegal character <71> in hex string
Error (2120): Illegal character <57> in hex string
Error (2121): Illegal character <0f> in hex string
Error (2122): Illegal character <96> in hex string
Error (2123): Illegal character <be> in hex string
....

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xsane depends on:
ii  libatk1.0-0            1.30.0-1          The ATK accessibility toolkit
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared lib
ii  libcairo2              1.8.10-6          The Cairo 2D vector graphics libra
ii  libfontconfig1         2.8.0-2.1         generic font configuration library
ii  libfreetype6           2.4.4-1~bpo60+1   FreeType 2 font engine, shared lib
ii  libgimp2.0             2.6.10-1          Libraries for the GNU Image Manipu
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libgtk2.0-0            2.20.1-2          The GTK+ graphical user interface 
ii  libjpeg62              6b1-1             The Independent JPEG Group's JPEG 
ii  liblcms1               1.18.dfsg-1.2+b3  Color management library
ii  libpango1.0-0          1.28.3-1+squeeze2 Layout and rendering of internatio
ii  libpng12-0             1.2.44-1          PNG library - runtime
ii  libsane                1.0.21-9          API library for scanners
ii  libtiff4               3.9.4-5+squeeze2  Tag Image File Format (TIFF) libra
ii  xsane-common           0.997-2           featureful graphical frontend for 
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

Versions of packages xsane recommends:
ii  chromium-br 6.0.472.63~r59945-5+squeeze5 Chromium browser
ii  cups-client 1.4.4-7                      Common UNIX Printing System(tm) - 
ii  epiphany-br 2.30.6-1                     Intuitive GNOME web browser
ii  iceweasel [ 3.5.16-7                     Web browser based on Firefox
ii  w3m [www-br 0.5.2-9                      WWW browsable pager with excellent

Versions of packages xsane suggests:
ii  gimp                          2.6.10-1   The GNU Image Manipulation Program
pn  gocr                          <none>     (no description available)
pn  gv                            <none>     (no description available)
pn  hylafax-client | mgetty-fax   <none>     (no description available)

-- no debconf information
[demo.pdf.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#631556; Package xsane. (Sat, 25 Jun 2011 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Sat, 25 Jun 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 631556@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 631556@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#631556: xsane: Error (2117): Too few (0) args to 'm' operator
Date: Sat, 25 Jun 2011 17:34:22 +0200
notfound 631556 0.997-2+b1
close 631556
thanks

Mathieu Malaterre <mathieu.malaterre@gmail.com> wrote:

Hi,

> Using xsane generating pdf produce corrupted pdf. See attached demo.pdf.

Neither ghostscript nor xpdf complain, and the file looks well-formed. I
don't think this is a genuine issue with xsane.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Bug closed, send any further explanations to Mathieu Malaterre <mathieu.malaterre@gmail.com> Request was from Julien BLACHE <jblache@debian.org> to control@bugs.debian.org. (Sat, 25 Jun 2011 15:36:09 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jun 2011 22:12:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xsane' to 'evince'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sat, 25 Jun 2011 22:12:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xsane/0.997-2. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sat, 25 Jun 2011 22:12:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions evince/2.30.3-2. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sat, 25 Jun 2011 22:12:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:39:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.